Package org.eclipse.microprofile.rest.client.tck.providers

# Class TestResponseExceptionMapperOverridePriority

java.lang.Object
org.eclipse.microprofile.rest.client.tck.providers.TestResponseExceptionMapperOverridePriority

All Implemented Interfaces:
  `ResponseExceptionMapper<Throwable>`

public class TestResponseExceptionMapperOverridePriority extends Object implements ResponseExceptionMapper<Throwable>

## Field Summary

### Fields inherited from interface org.eclipse.microprofile.rest.client.ext.ResponseExceptionMapper

`DEFAULT_PRIORITY`

## Constructor Summary

Constructors
Constructor
Description
`TestResponseExceptionMapperOverridePriority()`

## Method Summary

Modifier and Type
Method
Description
`int`
`getPriority()`
`boolean`
`handles(int status, jakarta.ws.rs.core.MultivaluedMap<String,Object> headers)`
`static boolean`
`isHandlesCalled()`
`static boolean`
`isThrowableCalled()`
`static void`
`reset()`
`Throwable`
`toThrowable(jakarta.ws.rs.core.Response response)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TestResponseExceptionMapperOverridePriority

public TestResponseExceptionMapperOverridePriority()

## Method Details

### toThrowable

public Throwable toThrowable(jakarta.ws.rs.core.Response response)

Specified by:
  `toThrowable` in interface `ResponseExceptionMapper<Throwable>`

### handles

public boolean handles(int status, jakarta.ws.rs.core.MultivaluedMap<String,Object> headers)

Specified by:
  `handles` in interface `ResponseExceptionMapper<Throwable>`

### reset

public static void reset()

### isHandlesCalled

public static boolean isHandlesCalled()

### isThrowableCalled

public static boolean isThrowableCalled()

### getPriority

public int getPriority()

Specified by:
  `getPriority` in interface `ResponseExceptionMapper<Throwable>`